Loading...
Searching...
No Matches
LrYumRepoMdRecord Struct Reference
Repomd (repomd.xml) parser

`#include <repomd.h>`

## Data Fields

char * | type
char * | location_href
char * | location_base
char * | checksum
char * | checksum_type
char * | checksum_open
char * | checksum_open_type
char * | header_checksum
char * | header_checksum_type
gint64 | timestamp
gint64 | size
gint64 | size_open
gint64 | size_header
int | db_version
GStringChunk * | chunk

## Detailed Description

Yum repomd record.

Definition at line 43 of file repomd.h.

## Field Documentation

## checksum

char* checksum

Checksum value

Definition at line 47 of file repomd.h.

## checksum_open

char* checksum_open

Checksum of uncompressed file

Definition at line 49 of file repomd.h.

## checksum_open_type

char* checksum_open_type

Type of checksum of uncompressed file

Definition at line 50 of file repomd.h.

## checksum_type

char* checksum_type

Type of checksum

Definition at line 48 of file repomd.h.

## chunk

GStringChunk* chunk

String chunk

Definition at line 59 of file repomd.h.

## db_version

int db_version

Version of database

Definition at line 57 of file repomd.h.

## header_checksum

char* header_checksum

Checksum of zchunk header

Definition at line 51 of file repomd.h.

## header_checksum_type

char* header_checksum_type

Type of checksum of zchunk header

Definition at line 52 of file repomd.h.

## location_base

char* location_base

Location base attribute

Definition at line 46 of file repomd.h.

## location_href

char* location_href

Location href attribute

Definition at line 45 of file repomd.h.

## size

gint64 size

File size

Definition at line 54 of file repomd.h.

## size_header

gint64 size_header

Size of zchunk header

Definition at line 56 of file repomd.h.

## size_open

gint64 size_open

Size of uncompressed file

Definition at line 55 of file repomd.h.

## timestamp

gint64 timestamp

File timestamp

Definition at line 53 of file repomd.h.

## type

char* type

Type of record (e.g. "primary")

Definition at line 44 of file repomd.h.

The documentation for this struct was generated from the following file:

- repomd.h